open Datapoint
open BinaryIO

let testDataSet =
  {
    trainingParams = [| DVP (1.0, LinearKernel) |];
    datapoints = [| [| DV [|  1.0 ;  2.0 |] |] ;
		    [| DV [|  1.2 ;  2.1 |] |] ;
		    [| DV [| -1.0 ; -2.1 |] |] ;
		    [| DV [| -1.2 ; -2.0 |] |] |];
    dataclasses = [| 1. ; 1. ; -1. ; -1. |];
    rankingPoints = None;
    combiningKernel = None;
    dataHasClasses = true;
    crossValSplit = None;
  }

let _ = saveDataSet "test" testDataSet
